{
  "compilerOptions": {
    "strict": true,
    "baseUrl": ".",
    "paths": {
      "@/*": ["./src/*"]
    },
    "jsx": "react-native",
    "target": "esnext",
    "module": "esnext",
    "lib": ["es2019"],
    "allowJs": true,
    "skipLibCheck": true,
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "moduleResolution": "node",
    "forceConsistentCasingInFileNames": true,
    "incremental": true,
    "types": ["react-native", "node"]
  },
  "include": [
    "src/**/*",
    "App.tsx"
  ],
  "exclude": [
    "node_modules",
    "build",
    ".expo"
  ]
}
